nuair = 1.6e-5; % kin.visc. m^2/s
nuwater = 1e-6;
 
% next set kinematic viscosity 
if(Substance == 1)
    nu = nuair; 
elseif(Substance == 2)
    nu = nuwater;
end

% do not care about these yet because we do not consider 
% convection
% pressure gradient (if convection is used)
dpdx = 0; % 5-10 value would give right ball park for Re

% velocity
U = (dpdx/(2*nu))*( (Ly/2)^2 - (Y-Ly/2).^2); 
V = 0*U;
