% compute the 1st derivatives in the 2d conv.diff. eqn
dTdx = ( T(iny,east)-T(iny,west))/(2*dx);
dTdy = ( T(north,inx)-T(south,inx))/(2*dy);

% compute the 2nd derivatives in the 2d heat eqn
d2Tdx2 = ( T(iny,east)-2*T(iny,inx)+T(iny,west))/(dx^2);
d2Tdy2 = ( T(north,inx)-2*T(iny,inx)+T(south,inx))/(dy^2);


dT = -dt*U.*dTdx -dt*V.*dTdy + dt*(alpha*d2Tdx2 + alpha*d2Tdy2); % compute dT(x,y)