% number of grid points, domain dimensions
Nx = 500; Ny = 40; Lx = 0.05; Ly = 0.004;

% reference index-point tables to "internal" cells 
inx = 2:(Nx-1); iny = 2:(Ny-1); 
north = iny+1;
east = inx+1; 
south = iny-1; 
west = inx-1;

dx = Lx/(Nx-2); dy = Ly/(Ny-2); 

x=linspace(0,Lx,Nx-2); 
y=linspace(0,Ly,Ny-2); 

[X,Y] = meshgrid(x,y); 

T = 293*ones(Ny,Nx); % initialize temperature to 293K
CFLmax = 0.1;