%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
kair = 0.026; kwater = 0.6082; kbrick = 0.73; % W/(mK) 
rhoair = 1.16; rhowater = 1000; rhobrick = 2000; %kg/(m^3)
cpair = 1007; cpwater = 4190; cpbrick = 800; %J/(kgK)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%koil = ...; rhooil=...; cpoil = ... 

if(Substance == 1)
    rho = rhoair; cp = cpair; k = kair;
elseif(Substance == 2)
    rho = rhowater; cp = cpwater; k = kwater;
%elseif(Substance == 3)
%    rho = rhooil; cp = cpoil; k = koil;
elseif(Substance == 4)
    rho = rhobrick; cp = cpbrick; k = kbrick;   
end

alpha = k/(rho*cp); % alpha = thermal diffusivity [alpha] = m^2/s

% from this point on k, rho, cp, alpha variables mean the particular 
% substance at hand
