
if(mod(t,100)==0)
figure(1), cla, box

    set(gcf, 'Position',  [200, 200, 1000, 800])
    imagesc([min(min(X)) max(max(X))],[min(min(Y)) max(max(Y))], T(iny,inx)), axis equal, ...
    axis tight
        ylabel('y [m]')
        xlabel('x [m]')
        colorbar, caxis([Tleft Ttop]), drawnow
        h=text(0.055,-0.002,'T [K]'); set(h,'Fontsize',16);
        set(h,'FontName','Times New Roman');
        colormap jet
        pause(0.01)

        if(0)
figure(2), cla, box

    set(gcf, 'Position',  [200, 10, 500, 400])
    imagesc([min(min(X)) max(max(X))],[min(min(Y)) max(max(Y))], U), axis equal, ...
    axis tight
        ylabel('y [m]')
        xlabel('x [m]')
        colorbar, caxis([0 1]), drawnow
        h=text(1,-0.2,'U [m/s]'); set(h,'Fontsize',16);
        set(h,'FontName','Times New Roman');
        pause(0.01)
        end


end

HowOftenPlot = 100; % plot every Nth timestep (N=HowOftenPlot)
if(mod(t,HowOftenPlot)==0) % to plot only every Nth timestep
figure(3), box
set(gcf, 'Position',  [1100, 50, 500, 400])
plot(t*dt, mean(mean(T(iny,inx))),'k.'), hold on
plot([0 t*dt], 293*[1 1],'r-','Linewidth',2)
        ylabel('Average temperature [K]')
        xlabel('Time [s]')
        myTmean(round(t/HowOftenPlot)) = mean(mean(T(iny,inx)));
        myTimes(round(t/HowOftenPlot)) = t*dt;
        drawnow
end

